<?php

namespace App\Http\Requests\Api\V1\Client\Games;

use Illuminate\Foundation\Http\FormRequest;

class GetActiveWordlingGamesRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'month' => 'sometimes|date_format:Y-m',
            'date' => 'sometimes|date_format:Y-m-d',
            'game_type' => 'nullable|string|in:wordling_main,wordling_min,wordling_max',
        ];
    }
}
